#
# spec file for package perl-String-Util
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name String-Util
Name:           perl-String-Util
Version:        1.350.0
Release:        1.2
# 1.35 -> normalize -> 1.350.0
%define cpan_version 1.35
License:        MIT
Summary:        String processing utility functions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BA/BAKERSCOT/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(String::Util) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
*String::Util* provides a collection of small, handy functions for
processing strings in various ways.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Thu Sep  5 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.350.0 (1.35)
  see /usr/share/doc/packages/perl-String-Util/Changes
* Thu Feb  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.34
  see /usr/share/doc/packages/perl-String-Util/Changes
* Sat Mar 27 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.32
  see /usr/share/doc/packages/perl-String-Util/Changes
  1.32  2021-03-26 14:06:00 PDT
  1.32  2021-03-26 09:27:35 PDT
  - Per bug reports, trim(undef) will return undef
  - Add a custom separtor option to sanitize
* Tue Jul 28 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.31
  see /usr/share/doc/packages/perl-String-Util/Changes
* Sat Oct  8 2016 coolo@suse.com
- updated to 1.26
  see /usr/share/doc/packages/perl-String-Util/Changes
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.24
  see /usr/share/doc/packages/perl-String-Util/Changes
* Wed Sep 28 2011 coolo@suse.com
- initial package 1.01
  * created by cpanspec 1.78.06
